#!/bin/sh

TESTS="BT SP LU MG EP CG FT"
CLASSES="A B C"

compile_one() {
    cd $1
    make CLASS=$2
    cd ..
}

mkdir -p bin

export FOPT="$*"
for tn in $TESTS; do
    for cn in $CLASSES; do
        compile_one $tn $cn
    done
done

exit 0
